netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
comment.c File Reference
`#include <atalk/logger.h>`
`#include <sys/param.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include "comment.h"`

## Functions
void | compop (void)
void | compush (struct papd_comment *comment)
int | comswitch (struct papd_comment *comments, int(*handler)())
int | comcmp (char *start, char *stop, char *str, int how)
struct papd_comment * | commatch (char *start, char *stop, struct papd_comment comments[])

## Variables
struct comstate * | comstate
char * | comcont = "%%+"

## Function Documentation

## ◆ comcmp()

int comcmp | ( | char * | start,
|  | char * | stop,
|  | char * | str,
|  | int | how )

## ◆ commatch()

struct papd_comment * commatch | ( | char * | start,
|  | char * | stop,
|  | struct papd_comment | comments[] )

## ◆ compop()

void compop | ( | void |  | ) |

## ◆ compush()

void compush | ( | struct papd_comment * | comment | ) |

## ◆ comswitch()

int comswitch | ( | struct papd_comment * | comments,
|  | int(* | handler )() )

## Variable Documentation

## ◆ comcont

char* comcont = "%%+"

## ◆ comstate

struct comstate* comstate